<div class="state-filters-icons" {{did-insert this.setup}} {{did-update this.setup @state}} ...attributes>
  <Filters::Pill @onSelect={{this.showPicker}} @onReset={{this.reset}} @value={{this.label}} @title={{this.title}} />
</div>

<div class="icon-picker state-filters-icons-icon-picker {{if this.isPickerVisible 'is-visible'}}" tabindex="0" {{on "keyup" this.handleKeyPress}}>
  {{#if this.isLoading}}
    <div class="text-center m-5">
      <FaIcon @icon="spinner" @spin={{true}} />
    </div>
  {{else}}
    <div class="container p-5">
      <div class="text-end">
        <button class="btn btn-link btn-close-picked" type="button" {{on "click" this.close}}>
          <FaIcon @icon="xmark" />
          {{t "close"}}
        </button>
      </div>
      <Input::Icons::OpenSelector @disabled={{@disabled}} @icons={{this.icons}} @value={{this.selection}} @onSelect={{this.selectionChanged}} />
    </div>
  {{/if}}
</div>